View Issue Details

IDProjectCategoryView StatusLast Update
0000590ascendbuild-linuxpublic2017-11-07 20:34
Assigned Tojohn 
Status resolvedResolutionfixed 
PlatformLinuxOSFedoraOS Version24+
Product Version 
Target VersionFixed in Version0.9.9 
Summary0000590: [Compile error with GCC-6.0] ascend/compiler/anoncopy.c
DescriptionHi all,

ascend (svn 3100) cannot be built with GCC-6 on Fedora 24+ :

ascend/compiler/anoncopy.c:167:31: error: expected unqualified-id before 'new'
   register struct ArrayChild *new,*src;
ascend/compiler/anoncopy.c:167:31: error: expected initializer before 'new'
ascend/compiler/anoncopy.c:173:2: error: 'src' was not declared in this scope
  src = (struct ArrayChild *)gl_fetch(list,c);
ascend/compiler/anoncopy.c:174:6: error: expected type-specifier before '=' token
ascend/compiler/anoncopy.c:175:7: error: expected type-specifier before '=' token
  *new = *src;
ascend/compiler/anoncopy.c:177:16: error: expected type-specifier before '->' token
         if (new->inst !=NULL) {
ascend/compiler/anoncopy.c:177:16: error: expected ')' before '->' token
In file included from ascend/compiler/anoncopy.c:74:0:
ascend/compiler/anoncopy.c:178:35: error: expected type-specifier before '->' token
           switch (InstanceKind(new->inst)) {

Full log:
TagsNo tags attached.




2016-04-16 03:25

reporter   ~0001012

In someway, setting CC and CXX variables with SCons breaks compilers detection. Do not do that.

Errors fixed.


2017-11-07 20:34

administrator   ~0001021

GCC 7.2.0 is used regularly to build ASCEND now, and no issues are currently being seen, so we'll assume this is all resolved.

BTW to inject 'CXX' and 'CC' variables into the SCons build, put them *after* the 'scons' command eg

scons CC=clang CXX=clang++ -j4 test

Issue History

Date Modified Username Field Change
2016-03-08 02:50 sagitter New Issue
2016-03-08 02:50 sagitter Status new => assigned
2016-03-08 02:50 sagitter Assigned To => john
2016-04-16 03:25 sagitter Note Added: 0001012
2017-11-07 20:34 john Status assigned => resolved
2017-11-07 20:34 john Resolution open => fixed
2017-11-07 20:34 john Fixed in Version => 0.9.9
2017-11-07 20:34 john Note Added: 0001021